Page MenuHomePhabricator

Middle/ctrl-clicking on Echo badge does not always work
Closed, ResolvedPublic

Description

If the flyout has been previously opened, then middle/ctrl-clicking on the badge will no longer work to open Special:Notifications in a new tab.
Roan says he knows why this happens...

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterMake middle-clicking badge work

Event Timeline

Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a project: Notifications.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity updated the task description. (Show Details)Sep 23 2015, 11:48 PM
Quiddity set Security to None.

I think this happens because the initial version of the badge (before lazy-loading happens) is different from the OOUI version of the badge (after we've lazy-loaded the flyout).

Catrope triaged this task as Normal priority.Sep 24 2015, 12:12 AM

Change 240629 had a related patch set uploaded (by Catrope):
Make middle-clicking badge work

https://gerrit.wikimedia.org/r/240629

Change 240629 merged by jenkins-bot:
Make middle-clicking badge work

https://gerrit.wikimedia.org/r/240629

Checked the fix in betalabs on Mac and Windows(8.1).

DannyH closed this task as Resolved.Sep 30 2015, 5:17 PM
DannyH added a subscriber: DannyH.